<!DOCTYPE dtd PUBLIC "-//Norman Walsh//DTD DTDParse V2.0//EN"
              "dtd.dtd" [
]>
<dtd version='1.0'
     unexpanded='1'
     title="KDE GUI Definition"
     namecase-general="1"
     namecase-entity="0"
     xml="0"
     system-id="kpartgui.dtd"
     public-id=""
     declaration=""
     created-by="DTDParse V2.0beta6"
     created-on="Wed Jun 12 22:40:16 2002"
>
<element name="Menu"
         content-type="element">
<content-model-expanded>
  <sequence-group>
    <element-name name="text" occurrence="?"/>
    <or-group occurrence="*">
      <element-name name="title"/>
      <element-name name="Action"/>
      <element-name name="ActionList"/>
      <element-name name="Separator"/>
      <element-name name="WeakSeparator"/>
      <element-name name="TearOffHandle"/>
      <element-name name="Merge"/>
      <element-name name="MergeLocal"/>
      <element-name name="DefineGroup"/>
      <element-name name="Menu"/>
    </or-group>
  </sequence-group>
</content-model-expanded>
<content-model>
  <sequence-group>
    <element-name name="text" occurrence="?"/>
    <or-group occurrence="*">
      <element-name name="title"/>
      <element-name name="Action"/>
      <element-name name="ActionList"/>
      <element-name name="Separator"/>
      <element-name name="WeakSeparator"/>
      <element-name name="TearOffHandle"/>
      <element-name name="Merge"/>
      <element-name name="MergeLocal"/>
      <element-name name="DefineGroup"/>
      <element-name name="Menu"/>
    </or-group>
  </sequence-group>
</content-model>
</element>

<attlist name="Menu">
<attdecl>
  append CDATA #IMPLIED
  name CDATA #REQUIRED
  group CDATA #IMPLIED
  icon CDATA #IMPLIED
  noMerge (0|1) "0"
</attdecl>
<attribute name="noMerge"
           type=""
           enumeration="yes"
           value=""
           default="0"/>
<attribute name="append"
           type="#IMPLIED"
           value="CDATA"
           default=""/>
<attribute name="group"
           type="#IMPLIED"
           value="CDATA"
           default=""/>
<attribute name="icon"
           type="#IMPLIED"
           value="CDATA"
           default=""/>
<attribute name="name"
           type="#REQUIRED"
           value="CDATA"
           default=""/>
</attlist>

<element name="MenuBar"
         content-type="element">
<content-model-expanded>
  <sequence-group>
    <or-group occurrence="*">
      <element-name name="Menu"/>
      <element-name name="Separator"/>
      <element-name name="Action"/>
      <element-name name="ActionList"/>
      <element-name name="Merge"/>
      <element-name name="MergeLocal"/>
      <element-name name="DefineGroup"/>
    </or-group>
  </sequence-group>
</content-model-expanded>
<content-model>
  <sequence-group>
    <or-group occurrence="*">
      <element-name name="Menu"/>
      <element-name name="Separator"/>
      <element-name name="Action"/>
      <element-name name="ActionList"/>
      <element-name name="Merge"/>
      <element-name name="MergeLocal"/>
      <element-name name="DefineGroup"/>
    </or-group>
  </sequence-group>
</content-model>
</element>

<attlist name="MenuBar">
<attdecl>
  name CDATA #IMPLIED
  group CDATA #IMPLIED
</attdecl>
<attribute name="group"
           type="#IMPLIED"
           value="CDATA"
           default=""/>
<attribute name="name"
           type="#IMPLIED"
           value="CDATA"
           default=""/>
</attlist>

<element name="MainWindow"
         content-type="element">
<content-model-expanded>
  <sequence-group>
    <any/>
  </sequence-group>
</content-model-expanded>
<content-model>
  <sequence-group>
    <any/>
  </sequence-group>
</content-model>
</element>

<element name="ActionList"
         content-type="element">
<content-model-expanded>
  <empty/>
</content-model-expanded>
<content-model>
  <empty/>
</content-model>
</element>

<attlist name="ActionList">
<attdecl>
  name CDATA #REQUIRED
</attdecl>
<attribute name="name"
           type="#REQUIRED"
           value="CDATA"
           default=""/>
</attlist>

<element name="kpartplugin"
         content-type="element">
<content-model-expanded>
  <sequence-group>
    <or-group occurrence="*">
      <element-name name="ActionProperties"/>
      <element-name name="MenuBar"/>
      <element-name name="ToolBar"/>
      <element-name name="Merge"/>
      <element-name name="MergeLocal"/>
      <element-name name="DefineGroup"/>
      <element-name name="MainWindow"/>
      <element-name name="StatusBar"/>
      <element-name name="Menu"/>
      <element-name name="State"/>
    </or-group>
  </sequence-group>
</content-model-expanded>
<content-model>
  <sequence-group>
    <or-group occurrence="*">
      <element-name name="ActionProperties"/>
      <element-name name="MenuBar"/>
      <element-name name="ToolBar"/>
      <element-name name="Merge"/>
      <element-name name="MergeLocal"/>
      <element-name name="DefineGroup"/>
      <element-name name="MainWindow"/>
      <element-name name="StatusBar"/>
      <element-name name="Menu"/>
      <element-name name="State"/>
    </or-group>
  </sequence-group>
</content-model>
</element>

<attlist name="kpartplugin">
<attdecl>
  name CDATA #REQUIRED
  version CDATA #REQUIRED
  library CDATA #IMPLIED
</attdecl>
<attribute name="library"
           type="#IMPLIED"
           value="CDATA"
           default=""/>
<attribute name="version"
           type="#REQUIRED"
           value="CDATA"
           default=""/>
<attribute name="name"
           type="#REQUIRED"
           value="CDATA"
           default=""/>
</attlist>

<element name="Merge"
         content-type="element">
<content-model-expanded>
  <empty/>
</content-model-expanded>
<content-model>
  <empty/>
</content-model>
</element>

<attlist name="Merge">
<attdecl>
  name CDATA #IMPLIED
</attdecl>
<attribute name="name"
           type="#IMPLIED"
           value="CDATA"
           default=""/>
</attlist>

<element name="disable"
         content-type="element">
<content-model-expanded>
  <sequence-group>
    <element-name name="Action" occurrence="+"/>
  </sequence-group>
</content-model-expanded>
<content-model>
  <sequence-group>
    <element-name name="Action" occurrence="+"/>
  </sequence-group>
</content-model>
</element>

<element name="State"
         content-type="element">
<content-model-expanded>
  <or-group>
    <element-name name="enable"/>
    <element-name name="disable"/>
    <sequence-group>
      <element-name name="enable"/>
      <element-name name="disable"/>
    </sequence-group>
  </or-group>
</content-model-expanded>
<content-model>
  <or-group>
    <element-name name="enable"/>
    <element-name name="disable"/>
    <sequence-group>
      <element-name name="enable"/>
      <element-name name="disable"/>
    </sequence-group>
  </or-group>
</content-model>
</element>

<attlist name="State">
<attdecl>
  name CDATA #REQUIRED
</attdecl>
<attribute name="name"
           type="#REQUIRED"
           value="CDATA"
           default=""/>
</attlist>

<element name="ToolBar"
         content-type="element">
<content-model-expanded>
  <sequence-group>
    <element-name name="text" occurrence="?"/>
    <or-group occurrence="*">
      <element-name name="Action"/>
      <element-name name="Separator"/>
      <element-name name="WeakSeparator"/>
      <element-name name="ActionList"/>
      <element-name name="Merge"/>
      <element-name name="MergeLocal"/>
      <element-name name="DefineGroup"/>
    </or-group>
  </sequence-group>
</content-model-expanded>
<content-model>
  <sequence-group>
    <element-name name="text" occurrence="?"/>
    <or-group occurrence="*">
      <element-name name="Action"/>
      <element-name name="Separator"/>
      <element-name name="WeakSeparator"/>
      <element-name name="ActionList"/>
      <element-name name="Merge"/>
      <element-name name="MergeLocal"/>
      <element-name name="DefineGroup"/>
    </or-group>
  </sequence-group>
</content-model>
</element>

<attlist name="ToolBar">
<attdecl>
  name CDATA #REQUIRED
  fullWidth (true|false) "true"
  position (top|bottom|left|right) "top"
  iconText (icononly|textonly|icontextright|icontextbottom) #IMPLIED
  iconSize CDATA #IMPLIED
  index CDATA #IMPLIED
  offset CDATA #IMPLIED
  newline (true|false) "false"
  group CDATA #IMPLIED
  hidden (true|false) "false"
  noEdit (true|false) "false"
</attdecl>
<attribute name="group"
           type="#IMPLIED"
           value="CDATA"
           default=""/>
<attribute name="index"
           type="#IMPLIED"
           value="CDATA"
           default=""/>
<attribute name="hidden"
           type=""
           enumeration="yes"
           value="true false"
           default="false"/>
<attribute name="newline"
           type=""
           enumeration="yes"
           value="true false"
           default="false"/>
<attribute name="iconSize"
           type="#IMPLIED"
           value="CDATA"
           default=""/>
<attribute name="name"
           type="#REQUIRED"
           value="CDATA"
           default=""/>
<attribute name="noEdit"
           type=""
           enumeration="yes"
           value="true false"
           default="false"/>
<attribute name="fullWidth"
           type=""
           enumeration="yes"
           value="true false"
           default="true"/>
<attribute name="position"
           type=""
           enumeration="yes"
           value="top bottom left right"
           default="top"/>
<attribute name="iconText"
           type="#IMPLIED"
           enumeration="yes"
           value="icononly textonly icontextright icontextbottom"
           default=""/>
<attribute name="offset"
           type="#IMPLIED"
           value="CDATA"
           default=""/>
</attlist>

<element name="Separator"
         content-type="element">
<content-model-expanded>
  <empty/>
</content-model-expanded>
<content-model>
  <empty/>
</content-model>
</element>

<attlist name="Separator">
<attdecl>
  lineSeparator (true|false) "false"
  group CDATA #IMPLIED
</attdecl>
<attribute name="lineSeparator"
           type=""
           enumeration="yes"
           value="true false"
           default="false"/>
<attribute name="group"
           type="#IMPLIED"
           value="CDATA"
           default=""/>
</attlist>

<element name="DefineGroup"
         content-type="element">
<content-model-expanded>
  <empty/>
</content-model-expanded>
<content-model>
  <empty/>
</content-model>
</element>

<attlist name="DefineGroup">
<attdecl>
  name CDATA #REQUIRED
</attdecl>
<attribute name="name"
           type="#REQUIRED"
           value="CDATA"
           default=""/>
</attlist>

<element name="text"
         content-type="mixed">
<content-model-expanded>
  <sequence-group>
    <pcdata/>
  </sequence-group>
</content-model-expanded>
<content-model>
  <sequence-group>
    <pcdata/>
  </sequence-group>
</content-model>
</element>

<element name="title"
         content-type="mixed">
<content-model-expanded>
  <sequence-group>
    <pcdata/>
  </sequence-group>
</content-model-expanded>
<content-model>
  <sequence-group>
    <pcdata/>
  </sequence-group>
</content-model>
</element>

<attlist name="title">
<attdecl>
  icon CDATA #IMPLIED
</attdecl>
<attribute name="icon"
           type="#IMPLIED"
           value="CDATA"
           default=""/>
</attlist>

<element name="StatusBar"
         content-type="element">
<content-model-expanded>
  <sequence-group>
    <any/>
  </sequence-group>
</content-model-expanded>
<content-model>
  <sequence-group>
    <any/>
  </sequence-group>
</content-model>
</element>

<element name="ActionProperties"
         content-type="element">
<content-model-expanded>
  <sequence-group>
    <element-name name="Action" occurrence="+"/>
  </sequence-group>
</content-model-expanded>
<content-model>
  <sequence-group>
    <element-name name="Action" occurrence="+"/>
  </sequence-group>
</content-model>
</element>

<element name="kpartgui"
         content-type="element">
<content-model-expanded>
  <sequence-group>
    <or-group occurrence="*">
      <element-name name="ActionProperties"/>
      <element-name name="MenuBar"/>
      <element-name name="ToolBar"/>
      <element-name name="Merge"/>
      <element-name name="MergeLocal"/>
      <element-name name="DefineGroup"/>
      <element-name name="MainWindow"/>
      <element-name name="StatusBar"/>
      <element-name name="Menu"/>
      <element-name name="State"/>
    </or-group>
  </sequence-group>
</content-model-expanded>
<content-model>
  <sequence-group>
    <or-group occurrence="*">
      <element-name name="ActionProperties"/>
      <element-name name="MenuBar"/>
      <element-name name="ToolBar"/>
      <element-name name="Merge"/>
      <element-name name="MergeLocal"/>
      <element-name name="DefineGroup"/>
      <element-name name="MainWindow"/>
      <element-name name="StatusBar"/>
      <element-name name="Menu"/>
      <element-name name="State"/>
    </or-group>
  </sequence-group>
</content-model>
</element>

<attlist name="kpartgui">
<attdecl>
  name CDATA #REQUIRED
  version CDATA #REQUIRED
  library CDATA #IMPLIED
</attdecl>
<attribute name="library"
           type="#IMPLIED"
           value="CDATA"
           default=""/>
<attribute name="version"
           type="#REQUIRED"
           value="CDATA"
           default=""/>
<attribute name="name"
           type="#REQUIRED"
           value="CDATA"
           default=""/>
</attlist>

<element name="MergeLocal"
         content-type="element">
<content-model-expanded>
  <empty/>
</content-model-expanded>
<content-model>
  <empty/>
</content-model>
</element>

<attlist name="MergeLocal">
<attdecl>
  name CDATA #IMPLIED
</attdecl>
<attribute name="name"
           type="#IMPLIED"
           value="CDATA"
           default=""/>
</attlist>

<element name="WeakSeparator"
         content-type="element">
<content-model-expanded>
  <empty/>
</content-model-expanded>
<content-model>
  <empty/>
</content-model>
</element>

<element name="TearOffHandle"
         content-type="element">
<content-model-expanded>
  <empty/>
</content-model-expanded>
<content-model>
  <empty/>
</content-model>
</element>

<attlist name="TearOffHandle">
<attdecl>
  group CDATA #IMPLIED
</attdecl>
<attribute name="group"
           type="#IMPLIED"
           value="CDATA"
           default=""/>
</attlist>

<element name="enable"
         content-type="element">
<content-model-expanded>
  <sequence-group>
    <element-name name="Action" occurrence="+"/>
  </sequence-group>
</content-model-expanded>
<content-model>
  <sequence-group>
    <element-name name="Action" occurrence="+"/>
  </sequence-group>
</content-model>
</element>

<element name="Action"
         content-type="element">
<content-model-expanded>
  <empty/>
</content-model-expanded>
<content-model>
  <empty/>
</content-model>
</element>

<attlist name="Action">
<attdecl>
  name CDATA #REQUIRED
  group CDATA #IMPLIED
  text CDATA #IMPLIED
  whatsThis CDATA #IMPLIED
  toolTip CDATA #IMPLIED
  shortText CDATA #IMPLIED
  shortcut CDATA #IMPLIED
  icon CDATA #IMPLIED
</attdecl>
<attribute name="text"
           type="#IMPLIED"
           value="CDATA"
           default=""/>
<attribute name="group"
           type="#IMPLIED"
           value="CDATA"
           default=""/>
<attribute name="shortText"
           type="#IMPLIED"
           value="CDATA"
           default=""/>
<attribute name="icon"
           type="#IMPLIED"
           value="CDATA"
           default=""/>
<attribute name="shortcut"
           type="#IMPLIED"
           value="CDATA"
           default=""/>
<attribute name="toolTip"
           type="#IMPLIED"
           value="CDATA"
           default=""/>
<attribute name="whatsThis"
           type="#IMPLIED"
           value="CDATA"
           default=""/>
<attribute name="name"
           type="#REQUIRED"
           value="CDATA"
           default=""/>
</attlist>

</dtd>
